diff --git a/docs/CHANGELOG b/docs/CHANGELOG
index bf342829..6eff5cf6 100644
--- a/docs/CHANGELOG
+++ b/docs/CHANGELOG
@@ -6,6 +6,7 @@
     - CVE-2018-17580 heap-buffer-overflow fast_edit_packet (#485)
     - CVE-2018-17582 heap-buffer-overflow in get_next_packet (#484)
     - Out-of-tree build (#482)
+    - Second pcap file hangs on multipler option (#472)
     - Add ability to change tcp SEQ/ACK numbers (#425)
     - Fails to open tap0 on Zephyr (#411)
     - CVE-2018-13112 heap-buffer-overflow in get_l2len (#477 dup #408)
diff --git a/src/send_packets.c b/src/send_packets.c
index 743eb828..544bc54d 100644
--- a/src/send_packets.c
+++ b/src/send_packets.c
@@ -507,7 +507,6 @@ send_packets(tcpreplay_t *ctx, pcap_t *pcap, int idx)
     }
 
     ctx->skip_packets = 0;
-    start_us = TIMEVAL_TO_MICROSEC(&ctx->stats.start_time);
     timerclear(&first_pkt_ts);
 
     if (options->limit_time > 0)
@@ -521,8 +520,13 @@ send_packets(tcpreplay_t *ctx, pcap_t *pcap, int idx)
         prev_packet = NULL;
     }
 
-   if (!top_speed)
+    if (top_speed) {
+        start_us = TIMEVAL_TO_MICROSEC(&ctx->stats.start_time);
+    } else {
         gettimeofday(&now, NULL);
+        now_is_now = true;
+        start_us = TIMEVAL_TO_MICROSEC(&now);
+    }
 
     /* MAIN LOOP 
      * Keep sending while we have packets or until
@@ -765,8 +769,13 @@ send_dual_packets(tcpreplay_t *ctx, pcap_t *pcap1, int cache_file_idx1, pcap_t *
     pktdata1 = get_next_packet(ctx, pcap1, &pkthdr1, cache_file_idx1, prev_packet1);
     pktdata2 = get_next_packet(ctx, pcap2, &pkthdr2, cache_file_idx2, prev_packet2);
 
-    if (!top_speed)
+    if (top_speed) {
+        start_us = TIMEVAL_TO_MICROSEC(&ctx->stats.start_time);
+    } else {
         gettimeofday(&now, NULL);
+        now_is_now = true;
+        start_us = TIMEVAL_TO_MICROSEC(&now);
+    }
 
     /* MAIN LOOP 
      * Keep sending while we have packets or until
